<?php  
//  Autentificator  //
// -----------------------------------------//
// Cargamos variables //

error_reporting(E_ERROR | E_PARSE);
require ("aut_config.inc.php");
date_default_timezone_set('America/Caracas');

	$mostrar_datos=mysql_query("select * from tabla_usuarios where id='".$_GET['control']."'",$link);
	$ver_datos=mysql_fetch_array($mostrar_datos);
		
	$usuario=$ver_datos['id'];
	
	$token=MD5($ver_datos['id']);
	$fecha_cierre=date('d/m/y - h:i:s A');

	
if($token==$_GET['token'])
{
mysql_query("update tabla_usuarios set fecha_cierre='".$fecha_cierre."',online='0' where id='".$_GET['control']."' ",$link);
echo 'Cargando...';

$ip=$_SERVER['REMOTE_ADDR'];
$host=gethostbyaddr($_SERVER['REMOTE_ADDR']);
$valor_ip=$ip.' - '.$host;

if($_GET['insert']=='true') {
	$valor_bitacora='Insercion';
}
if($_GET['update']=='true') {
	$valor_bitacora='Actulizacion';
}
if($_GET['delete']=='true') {
	$valor_bitacora='Eliminar';
}

if($_GET['id']!='') {
	$id=$id;
}

if($_GET['control']=='') {
	$control='CIERRE DE SESION';
}
if($_GET['MenuHorizontal']=='') {
	$control_2='CIERRE DE SESION';
} else {
	$control_2=$_GET['MenuHorizontal'];
}

if($_GET['control']!='') {
	$control=$_GET['control'];
}
$semana=date('W');

		//mysql_query("INSERT INTO tabla_bitacora(usuario,dia,mes,ano,hora,menu_principal,menu_secundario,accion,valor_id,lugar,semana) VALUES ('$usuario','".date('d')."','".date('m')."','".date('Y')."','".date('h:i:s A')."','".$control_2."','".$control."','$valor_bitacora','$id','$valor_ip','$semana')",$link);

$nivel_acceso=4; // definir nivel de acceso para esta página.
if ($nivel_acceso < $_SESSION['usuario_nivel']){
header ("Location: $redir?error_login=5");
exit;
}
// Le damos un mobre a la sesion (por si quisieramos identificarla)
session_name($usuarios_sesion);
// Iniciamos sesiones //
session_start();
// Destruimos la session de usuarios. //
session_destroy();
}
else 
{

	echo 'Cargando...';
}
	echo'<meta http-equiv="refresh" content="0; url=index.php">';

?>
